<p align="center">
<img src="//unpkg.com/@anjuna/theme@0.1.0/assets/anjuna/anjuna-logo.svg"/>
<br/><br/>
</p>

# @anjuna/core-angular

The @anjuna/angular-core module is a set of Angular-specific wrappers and helpers to plug the core component library into Angular's APIs and patterns.

## Getting Started

```bash
npm install @anjuna/angular-core
```

Once installed, you can import the module into any Angular module you need it.

```typescript
import {NgModule, CUSTOM_ELEMENTS_SCHEMA} from '@angular/core';
import {AnjunaCoreModule} from '@anjuna/angular-core';

@NgModule({
    imports: [
        // Other imports
        AnjunaCoreModule
    ],
    declarations: [
        // application components
    ],
    schemas: [
        CUSTOM_ELEMENTS_SCHEMA
    ]
})
export class MyModule {}
```
