/**
 * @description A wrapper around the HTML 5 Drag API.
 */
export declare class DraggableDirective {
    /**
     * @description Binds to arbitrary data to be passed via anjDroppable's onDrop event emitter.
     */
    anjDraggable: any;
    readonly isDraggable: boolean;
    isDragging: boolean;
    constructor();
    handleDragStart(event: DragEvent): void;
    handleDragEnd(event: DragEvent): void;
}
