import { EventEmitter } from '@angular/core';
import { DropData } from '../interfaces/DropData';
/**
 * @description A wrapper around the HTML 5 Drop API.
 */
export declare class DroppableDirective {
    /**
     * @description Emitted after and HTML drop event. Emits data bound to anjDraggable.
     */
    anjDrop: EventEmitter<DropData>;
    isDraggedOver: boolean;
    constructor();
    handleDragEnter(): void;
    handleDragLeave(): void;
    handleDragOver(event: DragEvent): boolean;
    handleDrop(event: DragEvent): boolean;
}
