import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor, FormGroupDirective, NgControl, NgForm } from '@angular/forms';
export declare class SelectValueDirective implements ControlValueAccessor {
    private ngControl;
    private element;
    /**
     * Enable two-way binding
     */
    readonly valueChange: EventEmitter<any>;
    onChange: (value: any) => void;
    onTouched: () => void;
    readonly isInvalid: boolean;
    private readonly parent;
    constructor(parentForm: NgForm, parentFormGroup: FormGroupDirective, ngControl: NgControl, element: ElementRef);
    writeValue(value: any): void;
    _onChange(target: HTMLInputElement): void;
    _onBlur(): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
}
